For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
            • GETList Category Trees
            • PUTUpsert Category Trees
            • DELDelete Category Trees
            • GETGet Category Tree
        • Products
        • Product Modifiers
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogCategory Trees

List Category Trees

GET
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/trees
GET
/stores/:store_hash/v3/catalog/trees
$curl https://api.bigcommerce.com/stores/store_hash/v3/catalog/trees \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "id": 1024,
5 "name": "Spring Collection 2024",
6 "channels": [
7 12,
8 34
9 ]
10 },
11 {
12 "id": 1025,
13 "name": "Electronics & Gadgets",
14 "channels": [
15 7
16 ]
17 },
18 {
19 "id": 1026,
20 "name": "Home & Garden",
21 "channels": [
22 5,
23 9
24 ]
25 },
26 {
27 "id": 1027,
28 "name": "Fashion & Apparel",
29 "channels": [
30 3
31 ]
32 },
33 {
34 "id": 1028,
35 "name": "Sports & Outdoors",
36 "channels": [
37 8,
38 15
39 ]
40 }
41 ],
42 "meta": {
43 "pagination": {
44 "total": 246,
45 "count": 5,
46 "per_page": 5,
47 "current_page": 1,
48 "total_pages": 50,
49 "links": {
50 "next": "?limit=5&page=2",
51 "current": "?limit=5&page=1"
52 }
53 }
54 }
55}
Returns a list of category trees.
Was this page helpful?
Previous

Catalog - Category trees

Next

Upsert Category Trees

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

id:inlist of integersOptional

Filter by supplying a comma-separated list of category tree IDs.

channel_id:inlist of integersOptional

Filter by supplying a comma-separated list of channel IDs.

Response

List of category trees.
datalist of objects
metaobject

Errors

403
Forbidden Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.